方法不難修改一下yum repo就可以透過yum升級了

#  vi /etc/yum.repos.d/centos-test.repo
[CentOS-testing]
name=CentOS-5 Testing
baseurl=http://dev.centos.org/centos/5/testing/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing

#  yum update php -y

這樣就可以將PHP從預設的5.1.6升級成5.2.110

不過升級完畢之後,mcrypt 跟imagick必須要重新安裝,要不然會有問題

mcrypt透過yum再跑一次升級,我不知道為什麼之前的yum update沒有升級到它

不過針對mcrypt做一次yum update之後就沒事了

那imagick就上網下載最新的stable版本

然後用pecl重新安裝一次,就可以正常運作了

跑完這些步驟之後記得重新啟動apache這樣才能讓新的php 5.2.10跟相關的幾個函示庫運作

以上

創作者介紹

認真打雜好青年日誌

kennyp 發表在 痞客邦 PIXNET 留言(1) 人氣()


留言列表 (1)

發表留言
  • steven
  • 很受用的資訊

    最近為了要安裝RoundCube,結果centOs硬是不能yum上去php 5.2,我又不想tarball,用你分享的方法就能順利安裝了,是個實用的好方法,3Q !
找更多相關文章與討論